#ifndef PHYSICSSHAPE_H
#define PHYSICSSHAPE_H

#include "Transformable.h"
#include "btBulletDynamicsCommon.h"

enum PhysicsShapeType {BOX, CYLINDER, SPHERE};

class PhysicsShape : public Transformable 
{
private:
	PhysicsShapeType m_type;

	btCollisionShape *getBoxShape();
	btCollisionShape *getSphereShape();
	btCollisionShape *getCylinderShape();
	
	glm::mat4 matrix;

public:
	PhysicsShape(PhysicsShapeType type);

	btCollisionShape *getCollisionShape();
	PhysicsShapeType getShapeType();
	glm::mat4 getMatrix();
};

#endif